/preview/advertisers/{advertiser-id}/creatives
curl --request GET \
--url https://api.criteo.com/preview/advertisers/{advertiser-id}/creatives \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/advertisers/{advertiser-id}/creatives"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/advertisers/{advertiser-id}/creatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"advertiserId": "<string>",
"author": "<string>",
"name": "<string>",
"status": "<string>",
"adaptiveAttributes": {
"callsToAction": [
"<string>"
],
"colors": {
"backgroundColor": "<string>",
"ctaBackgroundColor": "<string>",
"ctaTextColor": "<string>",
"logoAreaAndTitleColor": "<string>",
"text1Color": "<string>",
"text2Color": "<string>"
},
"descriptionFont": "<string>",
"descriptionText": "<string>",
"headlineFont": "<string>",
"headlineText": "<string>",
"imageSets": [
{
"images": [
{
"url": "<string>"
}
],
"headlineText": "<string>"
}
],
"landingPageUrl": "<string>",
"layouts": [],
"logos": [
{
"url": "<string>"
}
],
"videos": [
{
"duration": 123,
"url": "<string>"
}
]
},
"datasetId": "<string>",
"description": "<string>",
"dynamicAttributes": {
"bodyTextColor": "<string>",
"callsToAction": [
"<string>"
],
"creativeBackgroundColor": "<string>",
"logos": [
{
"url": "<string>"
}
],
"pricesColor": "<string>",
"primaryFont": "<string>"
},
"format": "<string>",
"htmlTagAttributes": {
"tags": [
{
"htmlTag": "<string>",
"size": {
"height": 123,
"width": 123
}
}
]
},
"imageAttributes": {
"landingPageUrl": "<string>",
"urls": [
"<string>"
]
}
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/advertisers/{advertiser-id}/creatives
Get the list of self-services Creatives for a given advertiser
GET
/
preview
/
advertisers
/
{advertiser-id}
/
creatives
/preview/advertisers/{advertiser-id}/creatives
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Query Parameters
The number of creatives to be returned. The default is 50.
The (zero-based) offset into the collection of creatives. The default is 0.
Response
200 - application/json
The list of self-services Creatives is returned.This list will contain creatives in draft status as well which will have some properties as null
Was this page helpful?
/preview/advertisers/{advertiser-id}/coupons/{id}/preview
Previous
/preview/advertisers/{advertiser-id}/creatives
Next
⌘I